# Function call

- call(options): Promise<{
  _deeplinks: string;
  _hasura: string;
  engineStr: string;
  envs: {
  DOCKERHOST: string;
  };
  error?: any;
  fullStr: string;
  homeDir: any;
  isDeepcaseDocker: ICheckDeeplinksStatusReturn;
  isDeeplinksDocker: ICheckDeeplinksStatusReturn;
  operation: "run" | "sleep" | "reset";
  platform: Platform;
  result?: {
  stderr: string;
  stdout: string;
  };
  user: any;
  }>

- #### Parameters

  - options: ICallOptions

  #### Returns Promise<{
  _deeplinks: string;
  _hasura: string;
  engineStr: string;
  envs: {
  DOCKERHOST: string;
  };
  error?: any;
  fullStr: string;
  homeDir: any;
  isDeepcaseDocker: ICheckDeeplinksStatusReturn;
  isDeeplinksDocker: ICheckDeeplinksStatusReturn;
  operation: "run" | "sleep" | "reset";
  platform: Platform;
  result?: {
  stderr: string;
  stdout: string;
  };
  user: any;
  }>

  - Defined in work/deeplinks/deeplinks/imports/engine.ts:328